\chapter*{Introduction}
\thispagestyle{empty}
These are my lecture notes for the course \textit{Algebra 1}, held by Dr. Thorsten Heidersdorf in the summer term 2019\footnote{Last change: \texttt{\gitAuthorIsoDate};
Current commit: \texttt{\gitAbbrevHash}}.
You can find the current version on my website (\url{https://pankratius.gitlab.io/notes}). There is also a version on the course hompage, but it might be outdated.
If you find mistakes (there are still a lot) or have suggestions, please send me an e-mail to \texttt{\href{mailto:s6aawild@uni-bonn.de}{s6aawild@uni-bonn.de}}. I want to thank everyone who already pointed some of them out to me and apologize for the long time it took me to fix them.
\par
The recomended literature for this course is \cite{atiyah}, \cite{eisenbud} and \cite{matsumara}. I also like to use \cite{aluffi}.
\par
Dr. Heidersdorf introduced categories and (exact) functors in lecture 6. I decided to put this (and a bit more) in a seperate appendix, which will be added during the semester. For now, the reader is e.g. refered to \cite{frep}. \vspace{.5cm}\hrule \vspace{.5cm} \par
\emph{Future Aaron here:} Me introducing categories and stuff in the appendix did not happen during the semester. Overall, the appendix is a \emph{huge} mess.
I hope I will be able to fix this during the summer, before the new semester starts. I also plan to add some more stuff which I found interesting (and not too far away from the lecture) as well as the missing proof of the last few lectures. I also want to include the results of the exercise sheets, but still have to figure out the right places. The last lecture (lecture 23) was a big black box, and I am still not sure up to what detail I will be able to fix this.\par
And one more thing \textendash{} I hope I will be able to do the same next semester for \textit{Algebraic Geometry 1}, so stay tuned... .
